Package com.independentsoft.office.drawing

# Class TextRunProperties

java.lang.Object
com.independentsoft.office.drawing.TextRunProperties

public class TextRunProperties extends Object
The Class TextRunProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextRunProperties()`
  Instantiates a new text run properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextRunProperties`
  `clone()`
  `String`
  `getAlternativeLanguage()`
  Gets the alternative language.
  `int`
  `getBaseline()`
  Gets the baseline.
  `String`
  `getBookmarkLinkTarget()`
  Gets the bookmark link target.
  `TextCapsType`
  `getCap()`
  Gets the cap.
  `ComplexScriptFont`
  `getComplexScriptFont()`
  Gets the complex script font.
  `EastAsianFont`
  `getEastAsianFont()`
  Gets the east asian font.
  `EffectDag`
  `getEffectDag()`
  Gets the effect dag.
  `EffectList`
  `getEffectList()`
  Gets the effect list.
  `double`
  `getFontSize()`
  Gets the font size.
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `HighlightColor`
  `getHighlightColor()`
  Gets the highlight color.
  `int`
  `getKerning()`
  Gets the kerning.
  `String`
  `getLanguage()`
  Gets the language.
  `LatinFont`
  `getLatinFont()`
  Gets the latin font.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `Outline`
  `getOutline()`
  Gets the outline.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `int`
  `getSmartTagID()`
  Gets the smart tag id.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `int`
  `getSpacing()`
  Gets the spacing.
  `TextStrikeType`
  `getStrike()`
  Gets the strike.
  `SymbolFont`
  `getSymbolFont()`
  Gets the symbol font.
  `TextUnderlineType`
  `getUnderline()`
  Gets the underline.
  `UnderlineFill`
  `getUnderlineFill()`
  Gets the underline fill.
  `UnderlineStroke`
  `getUnderlineStroke()`
  Gets the underline stroke.
  `boolean`
  `isBold()`
  Checks if is bold.
  `boolean`
  `isDirty()`
  Checks if is dirty.
  `boolean`
  `isItalic()`
  Checks if is italic.
  `boolean`
  `isKumimoji()`
  Checks if is kumimoji.
  `boolean`
  `isNoProofing()`
  Checks if is no proofing.
  `boolean`
  `isNormalizeHeights()`
  Checks if is normalize heights.
  `boolean`
  `isSmartTagClean()`
  Checks if is smart tag clean.
  `boolean`
  `isSpellingError()`
  Checks if is spelling error.
  `boolean`
  `isUnderlineFillPropertiesFollowText()`
  Checks if is underline fill properties follow text.
  `boolean`
  `isUnderlineFollowsText()`
  Checks if is underline follows text.
  `void`
  `setAlternativeLanguage​(String alternativeLanguage)`
  Sets the alternative language.
  `void`
  `setBaseline​(int baseline)`
  Sets the baseline.
  `void`
  `setBold​(boolean bold)`
  Sets the bold.
  `void`
  `setBookmarkLinkTarget​(String bookmarkLinkTarget)`
  Sets the bookmark link target.
  `void`
  `setCap​(TextCapsType cap)`
  Sets the cap.
  `void`
  `setComplexScriptFont​(ComplexScriptFont complexScriptFont)`
  Sets the complex script font.
  `void`
  `setDirty​(boolean dirty)`
  Sets the dirty.
  `void`
  `setEastAsianFont​(EastAsianFont eastAsianFont)`
  Sets the east asian font.
  `void`
  `setEffectDag​(EffectDag effectDag)`
  Sets the effect dag.
  `void`
  `setEffectList​(EffectList effectList)`
  Sets the effect list.
  `void`
  `setFontSize​(double fontSize)`
  Sets the font size.
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setHighlightColor​(HighlightColor highlightColor)`
  Sets the highlight color.
  `void`
  `setItalic​(boolean italic)`
  Sets the italic.
  `void`
  `setKerning​(int kerning)`
  Sets the kerning.
  `void`
  `setKumimoji​(boolean kumimoji)`
  Sets the kumimoji.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setLatinFont​(LatinFont latinFont)`
  Sets the latin font.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setNoProofing​(boolean noProofing)`
  Sets the no proofing.
  `void`
  `setNormalizeHeights​(boolean normalizeHeights)`
  Sets the normalize heights.
  `void`
  `setOutline​(Outline outline)`
  Sets the outline.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setSmartTagClean​(boolean smartTagClean)`
  Sets the smart tag clean.
  `void`
  `setSmartTagID​(int smartTagID)`
  Sets the smart tag id.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setSpacing​(int spacing)`
  Sets the spacing.
  `void`
  `setSpellingError​(boolean spellingError)`
  Sets the spelling error.
  `void`
  `setStrike​(TextStrikeType strike)`
  Sets the strike.
  `void`
  `setSymbolFont​(SymbolFont symbolFont)`
  Sets the symbol font.
  `void`
  `setUnderline​(TextUnderlineType underline)`
  Sets the underline.
  `void`
  `setUnderlineFill​(UnderlineFill underlineFill)`
  Sets the underline fill.
  `void`
  `setUnderlineFillPropertiesFollowText​(boolean underlineFillPropertiesFollowText)`
  Sets the underline fill properties follow text.
  `void`
  `setUnderlineFollowsText​(boolean underlineFollowsText)`
  Sets the underline follows text.
  `void`
  `setUnderlineStroke​(UnderlineStroke underlineStroke)`
  Sets the underline stroke.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextRunProperties

    public TextRunProperties()
    Instantiates a new text run properties.

- ## Method Details

  - ### clone

    public TextRunProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getComplexScriptFont

    public ComplexScriptFont getComplexScriptFont()
    Gets the complex script font.
    Returns:
      the complex script font

  - ### setComplexScriptFont

    public void setComplexScriptFont​(ComplexScriptFont complexScriptFont)
    Sets the complex script font.
    Parameters:
      `complexScriptFont` - the new complex script font

  - ### getEastAsianFont

    public EastAsianFont getEastAsianFont()
    Gets the east asian font.
    Returns:
      the east asian font

  - ### setEastAsianFont

    public void setEastAsianFont​(EastAsianFont eastAsianFont)
    Sets the east asian font.
    Parameters:
      `eastAsianFont` - the new east asian font

  - ### getEffectDag

    public EffectDag getEffectDag()
    Gets the effect dag.
    Returns:
      the effect dag

  - ### setEffectDag

    public void setEffectDag​(EffectDag effectDag)
    Sets the effect dag.
    Parameters:
      `effectDag` - the new effect dag

  - ### getEffectList

    public EffectList getEffectList()
    Gets the effect list.
    Returns:
      the effect list

  - ### setEffectList

    public void setEffectList​(EffectList effectList)
    Sets the effect list.
    Parameters:
      `effectList` - the new effect list

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getHighlightColor

    public HighlightColor getHighlightColor()
    Gets the highlight color.
    Returns:
      the highlight color

  - ### setHighlightColor

    public void setHighlightColor​(HighlightColor highlightColor)
    Sets the highlight color.
    Parameters:
      `highlightColor` - the new highlight color

  - ### getLatinFont

    public LatinFont getLatinFont()
    Gets the latin font.
    Returns:
      the latin font

  - ### setLatinFont

    public void setLatinFont​(LatinFont latinFont)
    Sets the latin font.
    Parameters:
      `latinFont` - the new latin font

  - ### getOutline

    public Outline getOutline()
    Gets the outline.
    Returns:
      the outline

  - ### setOutline

    public void setOutline​(Outline outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getSymbolFont

    public SymbolFont getSymbolFont()
    Gets the symbol font.
    Returns:
      the symbol font

  - ### setSymbolFont

    public void setSymbolFont​(SymbolFont symbolFont)
    Sets the symbol font.
    Parameters:
      `symbolFont` - the new symbol font

  - ### getUnderlineFill

    public UnderlineFill getUnderlineFill()
    Gets the underline fill.
    Returns:
      the underline fill

  - ### setUnderlineFill

    public void setUnderlineFill​(UnderlineFill underlineFill)
    Sets the underline fill.
    Parameters:
      `underlineFill` - the new underline fill

  - ### isUnderlineFillPropertiesFollowText

    public boolean isUnderlineFillPropertiesFollowText()
    Checks if is underline fill properties follow text.
    Returns:
      true, if is underline fill properties follow text

  - ### setUnderlineFillPropertiesFollowText

    public void setUnderlineFillPropertiesFollowText​(boolean underlineFillPropertiesFollowText)
    Sets the underline fill properties follow text.
    Parameters:
      `underlineFillPropertiesFollowText` - the new underline fill properties follow text

  - ### getUnderlineStroke

    public UnderlineStroke getUnderlineStroke()
    Gets the underline stroke.
    Returns:
      the underline stroke

  - ### setUnderlineStroke

    public void setUnderlineStroke​(UnderlineStroke underlineStroke)
    Sets the underline stroke.
    Parameters:
      `underlineStroke` - the new underline stroke

  - ### isUnderlineFollowsText

    public boolean isUnderlineFollowsText()
    Checks if is underline follows text.
    Returns:
      true, if is underline follows text

  - ### setUnderlineFollowsText

    public void setUnderlineFollowsText​(boolean underlineFollowsText)
    Sets the underline follows text.
    Parameters:
      `underlineFollowsText` - the new underline follows text

  - ### getAlternativeLanguage

    public String getAlternativeLanguage()
    Gets the alternative language.
    Returns:
      the alternative language

  - ### setAlternativeLanguage

    public void setAlternativeLanguage​(String alternativeLanguage)
    Sets the alternative language.
    Parameters:
      `alternativeLanguage` - the new alternative language

  - ### isBold

    public boolean isBold()
    Checks if is bold.
    Returns:
      true, if is bold

  - ### setBold

    public void setBold​(boolean bold)
    Sets the bold.
    Parameters:
      `bold` - the new bold

  - ### getBaseline

    public int getBaseline()
    Gets the baseline.
    Returns:
      the baseline

  - ### setBaseline

    public void setBaseline​(int baseline)
    Sets the baseline.
    Parameters:
      `baseline` - the new baseline

  - ### getBookmarkLinkTarget

    public String getBookmarkLinkTarget()
    Gets the bookmark link target.
    Returns:
      the bookmark link target

  - ### setBookmarkLinkTarget

    public void setBookmarkLinkTarget​(String bookmarkLinkTarget)
    Sets the bookmark link target.
    Parameters:
      `bookmarkLinkTarget` - the new bookmark link target

  - ### getCap

    public TextCapsType getCap()
    Gets the cap.
    Returns:
      the cap

  - ### setCap

    public void setCap​(TextCapsType cap)
    Sets the cap.
    Parameters:
      `cap` - the new cap

  - ### isDirty

    public boolean isDirty()
    Checks if is dirty.
    Returns:
      true, if is dirty

  - ### setDirty

    public void setDirty​(boolean dirty)
    Sets the dirty.
    Parameters:
      `dirty` - the new dirty

  - ### isSpellingError

    public boolean isSpellingError()
    Checks if is spelling error.
    Returns:
      true, if is spelling error

  - ### setSpellingError

    public void setSpellingError​(boolean spellingError)
    Sets the spelling error.
    Parameters:
      `spellingError` - the new spelling error

  - ### isItalic

    public boolean isItalic()
    Checks if is italic.
    Returns:
      true, if is italic

  - ### setItalic

    public void setItalic​(boolean italic)
    Sets the italic.
    Parameters:
      `italic` - the new italic

  - ### getKerning

    public int getKerning()
    Gets the kerning.
    Returns:
      the kerning

  - ### setKerning

    public void setKerning​(int kerning)
    Sets the kerning.
    Parameters:
      `kerning` - the new kerning

  - ### isKumimoji

    public boolean isKumimoji()
    Checks if is kumimoji.
    Returns:
      true, if is kumimoji

  - ### setKumimoji

    public void setKumimoji​(boolean kumimoji)
    Sets the kumimoji.
    Parameters:
      `kumimoji` - the new kumimoji

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### isNoProofing

    public boolean isNoProofing()
    Checks if is no proofing.
    Returns:
      true, if is no proofing

  - ### setNoProofing

    public void setNoProofing​(boolean noProofing)
    Sets the no proofing.
    Parameters:
      `noProofing` - the new no proofing

  - ### isNormalizeHeights

    public boolean isNormalizeHeights()
    Checks if is normalize heights.
    Returns:
      true, if is normalize heights

  - ### setNormalizeHeights

    public void setNormalizeHeights​(boolean normalizeHeights)
    Sets the normalize heights.
    Parameters:
      `normalizeHeights` - the new normalize heights

  - ### isSmartTagClean

    public boolean isSmartTagClean()
    Checks if is smart tag clean.
    Returns:
      true, if is smart tag clean

  - ### setSmartTagClean

    public void setSmartTagClean​(boolean smartTagClean)
    Sets the smart tag clean.
    Parameters:
      `smartTagClean` - the new smart tag clean

  - ### getSmartTagID

    public int getSmartTagID()
    Gets the smart tag id.
    Returns:
      the smart tag id

  - ### setSmartTagID

    public void setSmartTagID​(int smartTagID)
    Sets the smart tag id.
    Parameters:
      `smartTagID` - the new smart tag id

  - ### getSpacing

    public int getSpacing()
    Gets the spacing.
    Returns:
      the spacing

  - ### setSpacing

    public void setSpacing​(int spacing)
    Sets the spacing.
    Parameters:
      `spacing` - the new spacing

  - ### getStrike

    public TextStrikeType getStrike()
    Gets the strike.
    Returns:
      the strike

  - ### setStrike

    public void setStrike​(TextStrikeType strike)
    Sets the strike.
    Parameters:
      `strike` - the new strike

  - ### getFontSize

    public double getFontSize()
    Gets the font size.
    Returns:
      the font size

  - ### setFontSize

    public void setFontSize​(double fontSize)
    Sets the font size.
    Parameters:
      `fontSize` - the new font size

  - ### getUnderline

    public TextUnderlineType getUnderline()
    Gets the underline.
    Returns:
      the underline

  - ### setUnderline

    public void setUnderline​(TextUnderlineType underline)
    Sets the underline.
    Parameters:
      `underline` - the new underline